it.csi.mddtools.guigen

## Interface EndEditCommand

- All Superinterfaces:
    Command, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface EndEditCommand
      extends Command

  A representation of the model object 'End Edit Command'. Permette di terminare una sessione di editing su un certo insieme di ApplicationData, con la possibilità di effettuare un undo sui dati specificati. Utilizzato in congiunzione con BeginEditCommand. Nota: data la struttura dei due comandi di inizio e fine della sessione di editing è possibile effettuare l'undo di una parte degli application data specificati nel comando di inizio editing (specificando nel EndEditCommand solo una parte degli application data precedentemente specificati nel BeginEditCommand. Si consiglia, in questi casi, di terminare correttamente la sessione di editing per tutti gli application data per evitar eche rimangano in memoria dati di backup obsoleti. Per far ciò è sufficiente utilizzare due volte il comando EndEditCommand: la prima volta con undo impostato a true (e specificando solo i dati di cui si vuole effettuare l'undo) e una seconda volta con undo impostato a false, specificando i restanti dati.

  The following features are supported:

  - `Data Edited`
  - `Undo`
  See Also:
    `GuigenPackage.getEndEditCommand()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ApplicationData>` | `getDataEdited()` Returns the value of the 'Data Edited' reference list.
    `boolean` | `isUndo()` Returns the value of the 'Undo' attribute
    `void` | `setUndo(boolean value)` Sets the value of the '`Undo`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDataEdited

          org.eclipse.emf.common.util.EList<ApplicationData> getDataEdited()

      Returns the value of the 'Data Edited' reference list. The list contents are of type `ApplicationData`.

      If the meaning of the 'Data Edited' reference list isn't clear, there really should be more of a description here...

      Elenco dei dati oggetto dell'editing.
      Returns:
        the value of the 'Data Edited' reference list.
      See Also:
        `GuigenPackage.getEndEditCommand_DataEdited()`

    - #### isUndo

          boolean isUndo()

      Returns the value of the 'Undo' attribute.

      If the meaning of the 'Undo' attribute isn't clear, there really should be more of a description here...

      Se impostato a true viene ripristinato il valore originario di tutti gli ApplicationData indicati.
      Returns:
        the value of the 'Undo' attribute.
      See Also:
        `setUndo(boolean)`, `GuigenPackage.getEndEditCommand_Undo()`

    - #### setUndo

          void setUndo(boolean value)

      Sets the value of the '`Undo`' attribute.
      Parameters:
        `value` - the new value of the 'Undo' attribute.
      See Also:
        `isUndo()`